var search_data = {"index":{"searchIndex":["variable","ivar","error","mvar","result","timeout","value","timer","elapsed()","empty?()","full?()","modify()","new()","new()","new()","new()","now()","perform_put()","perform_take()","perform_take()","populate_with()","put()","put()","read()","synchronize()","take()","take_timeout()","timeout?()","try_put()","wait()","wait_full()","wait_timeout()","with()","license"],"longSearchIndex":["variable","variable::ivar","variable::ivar::error","variable::mvar","variable::result","variable::result::timeout","variable::result::value","variable::timer","variable::timer::elapsed()","variable#empty?()","variable#full?()","variable::mvar#modify()","variable::new()","variable::mvar::new()","variable::result::new()","variable::result::timeout::new()","variable::timer::now()","variable#perform_put()","variable::ivar#perform_take()","variable::mvar#perform_take()","variable::ivar#populate_with()","variable::ivar#put()","variable::mvar#put()","variable#read()","variable#synchronize()","variable#take()","variable#take_timeout()","variable::result#timeout?()","variable#try_put()","variable#wait()","variable#wait_full()","variable#wait_timeout()","variable#with()",""],"info":[["Variable","","Variable.html","","<p>Lightweight concurrency variables\n<p>These are inspired by Haskells MVar and IVar types.\n"],["Variable::IVar","","Variable/IVar.html","","<p>Shared variable that can be written at most once\n<p>ignore :reek:InstanceVariableAssumption\n"],["Variable::IVar::Error","","Variable/IVar/Error.html","","<p>Exception raised on ivar errors\n"],["Variable::MVar","","Variable/MVar.html","","<p>Shared variable that can be written multiple times\n<p>ignore :reek:InstanceVariableAssumption\n"],["Variable::Result","","Variable/Result.html","","<p>Result of operation that may time out\n"],["Variable::Result::Timeout","","Variable/Result/Timeout.html","","<p>Instance returned on timeouts\n"],["Variable::Result::Value","","Variable/Result/Value.html","","<p>Instance returned without timeouts\n"],["Variable::Timer","","Variable/Timer.html","",""],["elapsed","Variable::Timer","Variable/Timer.html#method-c-elapsed","()","<p>Monotonic elapsed time of block execution\n<p>@return [Float]\n"],["empty?","Variable","Variable.html#method-i-empty-3F","()","<p>Test if state is empty\n<p>@return [Boolean]\n"],["full?","Variable","Variable.html#method-i-full-3F","()","<p>Test if state is full\n<p>@return [Boolean]\n"],["modify","Variable::MVar","Variable/MVar.html#method-i-modify","()","<p>Modify value, blocks if empty\n<p>@return [Object]\n"],["new","Variable","Variable.html#method-c-new","(condition_variable:, mutex:, value: EMPTY)","<p>Initialize object\n<p>@param [Object] value\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">initial</span> <span class=\"ruby-identifier\">value</span>\n</pre>\n"],["new","Variable::MVar","Variable/MVar.html#method-c-new","(condition_variable:, mutex:, value: EMPTY)","<p>Initialize object\n<p>@param [Object] value\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">initial</span> <span class=\"ruby-identifier\">value</span>\n</pre>\n"],["new","Variable::Result","Variable/Result.html#method-c-new","(value)","<p>Initialize result\n<p>@return [undefined]\n"],["new","Variable::Result::Timeout","Variable/Result/Timeout.html#method-c-new","()","<p>Construct new object\n<p>@return [Timeout]\n"],["now","Variable::Timer","Variable/Timer.html#method-c-now","()","<p>The now monotonic time\n<p>@return [Float]\n"],["perform_put","Variable","Variable.html#method-i-perform_put","(value)","<p>Perform the put\n<p>@param [Object] value\n"],["perform_take","Variable::IVar","Variable/IVar.html#method-i-perform_take","()","<p>Perform take operation\n<p>@return [Object]\n"],["perform_take","Variable::MVar","Variable/MVar.html#method-i-perform_take","()","<p>Empty the variable\n<p>@return [Object]\n"],["populate_with","Variable::IVar","Variable/IVar.html#method-i-populate_with","()","<p>Populate and return value, use block to compute value if empty\n<p>The block is guaranteed to be executed …\n"],["put","Variable::IVar","Variable/IVar.html#method-i-put","(value)","<p>Put value, raises if already full\n<p>@param [Object] value\n<p>@return [self]\n"],["put","Variable::MVar","Variable/MVar.html#method-i-put","(value)","<p>Put value, block on full\n<p>@param [Object] value\n<p>@return [self]\n"],["read","Variable","Variable.html#method-i-read","()","<p>Read value, block on empty\n<p>@return [Object]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">variable</span> <span class=\"ruby-identifier\">value</span>\n</pre>\n"],["synchronize","Variable","Variable.html#method-i-synchronize","(&block)","<p>Execute block under mutex\n<p>@return [self]\n"],["take","Variable","Variable.html#method-i-take","()","<p>Take value, block on empty\n<p>@return [Object]\n"],["take_timeout","Variable","Variable.html#method-i-take_timeout","(timeout)","<p>Take value, with timeout\n<p>@param [Float] Timeout\n<p>@return [Result::Timeout]\n"],["timeout?","Variable::Result","Variable/Result.html#method-i-timeout-3F","()","<p>Test if take resulted in a timeout\n<p>@return [Boolean]\n<p>@api private\n"],["try_put","Variable","Variable.html#method-i-try_put","(value)","<p>Try put value into the variable, non blocking\n<p>@param [Object] value\n<p>@return [self]\n"],["wait","Variable","Variable.html#method-i-wait","(event)","<p>Wait for block predicate\n<p>@param [ConditionVariable] event\n<p>@return [undefined]\n"],["wait_full","Variable","Variable.html#method-i-wait_full","()","<p>Wait till mvar is full\n<p>@return [undefined]\n"],["wait_timeout","Variable","Variable.html#method-i-wait_timeout","(event, timeout)","<p>Wait with timeout for block predicate\n<p>@param [ConditionVariable] event\n<p>@return [Boolean]\n"],["with","Variable","Variable.html#method-i-with","()","<p>Execute block with value, blocking\n<p>@yield [Object]\n<p>@return [Object]\n"],["LICENSE","","LICENSE.html","","<p>Copyright © 2020 Markus Schirp\n<p>Permission is hereby granted, free of charge, to any person obtaining …\n"]]}}